Bug 1381712 - Service designer : Delete profile does not work
Summary: Service designer : Delete profile does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.8.0
Assignee: Jeff Phillips
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-04 19:08 UTC by Shveta
Modified: 2017-05-31 14:21 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:21:57 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
delete profile (56.55 KB, image/png)
2016-10-04 19:08 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2016-10-04 19:08:41 UTC
Created attachment 1207324 [details]
delete profile

Description of problem:


Version-Release number of selected component (if applicable):
5.7.0.3.20160927165516_075d0f3 

How reproducible:


Steps to Reproduce:
1. Login in SSUI
2. Designer - Profile  - create a profile 
3.  Delete , record is not deleted.

Actual results:


Expected results:


Additional info:

Comment 2 Chris Kacerguis 2016-10-04 20:31:36 UTC
Just checking on this, the SD should be hidden.  Did it get enabled by accident?

Comment 3 Chris Kacerguis 2016-10-10 14:14:17 UTC
Not sure if this is the UX or API, assuming that it is the API as they keep showing up.

Comment 4 Jillian Tullo 2016-10-10 17:05:36 UTC
Have not been able to replicate this after several tries. Did not see any errors in the console, and did not see any errors within the API log. Here is the API output that shows success of delete from the UI:

[----] I, [2016-10-10T13:00:46.778276 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_request) Request:        {:method=>:post, :action=>"delete", :fullpath=>"/api/arbitration_profiles/", :url=>"http://localhost:8001/api/arbitration_profiles/", :base=>"http://localhost:8001", :path=>"/api/arbitration_profiles", :prefix=>"/api", :version=>"2.3.0", :api_prefix=>"http://localhost:8001/api", :collection=>"arbitration_profiles", :c_suffix=>"", :c_id=>nil, :subcollection=>nil, :s_id=>nil}
[----] I, [2016-10-10T13:00:46.778645 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_request) Parameters:     {"action"=>"update", "resources"=>[<ActionController::Parameters {"id"=>5} permitted: false>], "format"=>"json", "controller"=>"api/arbitration_profiles", "arbitration_profile"=><ActionController::Parameters {} permitted: false>}
[----] I, [2016-10-10T13:00:46.781485 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.delete_resource) Deleting arbitration_profiles id 5
[----] I, [2016-10-10T13:00:46.790348 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_result) Result: success=true
[----] I, [2016-10-10T13:00:46.790521 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_result) Result: message=arbitration_profiles id: 5 deleting
[----] I, [2016-10-10T13:00:46.790678 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_result) Result: href=http://localhost:8001/api/arbitration_profiles/5
[----] I, [2016-10-10T13:00:46.791857 #3836:3fc3b160589c]  INFO -- : MIQ(Api::ArbitrationProfilesController.log_request) Response:       {:completed_at=>"2016-10-10 17:00:46 UTC", :size=>"0.250 KBytes", :time_taken=>"0.024 Seconds", :status=>200}


Will continue to attempt to fix. Also, the steps to reproduce have changed. Profiles now sit under Administration.

Steps to reproduce:
1. Log into SSUI
2. Administration - Profile - create a profile.
3. Delete profile

Comment 5 Jillian Tullo 2016-10-10 19:56:44 UTC
@sshveta - can you please look into this issue again and see if it was resolved based off of the new steps to reproduce that are commented above?

Thanks!

Comment 6 Shveta 2016-10-11 17:54:40 UTC
Please check https://10.8.199.137/self_service .
Administration - Profile . There is a profile named vsphere_profile.
Delete the profile. 
It still shows up.

Comment 7 Jillian Tullo 2016-10-11 18:05:09 UTC
(In reply to Shveta from comment #6)
> Please check https://10.8.199.137/self_service .
> Administration - Profile . There is a profile named vsphere_profile.
> Delete the profile. 
> It still shows up.

Is there anyway to obtain the logs from that? Still trying to reproduce locally, unable to do so.

Comment 8 Shveta 2016-10-11 18:34:58 UTC
yes you can ssh to 10.8.199.137 .
cd /var/www/miq/vmdb/logs
all logs are here

Comment 9 Jillian Tullo 2016-10-11 20:04:44 UTC
After sorting through the logs, it seems as though no delete request is going through. There are no references to Arbitration Profile Delete in neither api.log nor production.log. Investigating this as a UI error now.

Comment 10 Jillian Tullo 2016-10-12 17:12:45 UTC
Confirmed the issue, I was not on Euwe. It does not seem to be getting the profile item that it wants to delete (it gets sent an undefined). Looping in Jeff on the issue who will know the reasoning behind this (Might be possible that it was implemented after Euwe was created, and we need to backport something).

Comment 11 Chris Kacerguis 2016-10-12 21:09:51 UTC
Fix here: https://github.com/ManageIQ/manageiq-ui-self_service/pull/248

As we are not releasing this, not back porting to Euwe

Comment 12 Shveta 2017-03-03 00:27:15 UTC
Service designer and profile is not there anymore .
verified in 5.8.0.2-nightly.20170228141623_8710eed

Comment 14 errata-xmlrpc 2017-05-31 14:21:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.